Index: sansmodels/src/sans/models/c_models/CBCCrystalModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CBCCrystalModel.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CBCCrystalModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -196,5 +196,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -395,7 +395,4 @@
 static PyObject * calculate_ER(CBCCrystalModel *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CBarBellModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CBarBellModel.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CBarBellModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -198,5 +198,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -399,7 +399,4 @@
 static PyObject * calculate_ER(CBarBellModel *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CBinaryHSModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CBinaryHSModel.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CBinaryHSModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -188,5 +188,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -375,7 +375,4 @@
 static PyObject * calculate_ER(CBinaryHSModel *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CCSParallelepipedModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CCSParallelepipedModel.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CCSParallelepipedModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -208,5 +208,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -427,7 +427,4 @@
 static PyObject * calculate_ER(CCSParallelepipedModel *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CCappedCylinderModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CCappedCylinderModel.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CCappedCylinderModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -198,5 +198,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -399,7 +399,4 @@
 static PyObject * calculate_ER(CCappedCylinderModel *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CCoreFourShellModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CCoreFourShellModel.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CCoreFourShellModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -202,5 +202,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -411,7 +411,4 @@
 static PyObject * calculate_ER(CCoreFourShellModel *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CCoreShellCylinderModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CCoreShellCylinderModel.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CCoreShellCylinderModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -199,5 +199,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -402,7 +402,4 @@
 static PyObject * calculate_ER(CCoreShellCylinderModel *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CCoreShellEllipsoidModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CCoreShellEllipsoidModel.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CCoreShellEllipsoidModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -203,5 +203,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -412,7 +412,4 @@
 static PyObject * calculate_ER(CCoreShellEllipsoidModel *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CCoreShellModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CCoreShellModel.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CCoreShellModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -187,5 +187,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -372,7 +372,4 @@
 static PyObject * calculate_ER(CCoreShellModel *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CCylinderModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CCylinderModel.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CCylinderModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -194,5 +194,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -389,7 +389,4 @@
 static PyObject * calculate_ER(CCylinderModel *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CDiamCylFunc.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CDiamCylFunc.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CDiamCylFunc.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -182,5 +182,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -357,7 +357,4 @@
 static PyObject * calculate_ER(CDiamCylFunc *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CDiamEllipFunc.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CDiamEllipFunc.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CDiamEllipFunc.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -182,5 +182,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -357,7 +357,4 @@
 static PyObject * calculate_ER(CDiamEllipFunc *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CEllipsoidModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CEllipsoidModel.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CEllipsoidModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -194,5 +194,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -389,7 +389,4 @@
 static PyObject * calculate_ER(CEllipsoidModel *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CEllipticalCylinderModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CEllipticalCylinderModel.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CEllipticalCylinderModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -202,5 +202,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -409,7 +409,4 @@
 static PyObject * calculate_ER(CEllipticalCylinderModel *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CFCCrystalModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CFCCrystalModel.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CFCCrystalModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -196,5 +196,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -395,7 +395,4 @@
 static PyObject * calculate_ER(CFCCrystalModel *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CFlexCylEllipXModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CFlexCylEllipXModel.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CFlexCylEllipXModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -194,5 +194,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -389,7 +389,4 @@
 static PyObject * calculate_ER(CFlexCylEllipXModel *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CFlexibleCylinderModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CFlexibleCylinderModel.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CFlexibleCylinderModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -190,5 +190,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -379,7 +379,4 @@
 static PyObject * calculate_ER(CFlexibleCylinderModel *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CFractalModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CFractalModel.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CFractalModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -184,5 +184,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -365,7 +365,4 @@
 static PyObject * calculate_ER(CFractalModel *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CFuzzySphereModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CFuzzySphereModel.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CFuzzySphereModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -186,5 +186,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -369,7 +369,4 @@
 static PyObject * calculate_ER(CFuzzySphereModel *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CGaussian.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CGaussian.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CGaussian.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -177,5 +177,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -346,7 +346,4 @@
 static PyObject * calculate_ER(CGaussian *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CHardsphereStructure.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CHardsphereStructure.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CHardsphereStructure.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -179,5 +179,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -350,7 +350,4 @@
 static PyObject * calculate_ER(CHardsphereStructure *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CHayterMSAStructure.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CHayterMSAStructure.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CHayterMSAStructure.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -183,5 +183,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -362,7 +362,4 @@
 static PyObject * calculate_ER(CHayterMSAStructure *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CHollowCylinderModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CHollowCylinderModel.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CHollowCylinderModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -198,5 +198,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -399,7 +399,4 @@
 static PyObject * calculate_ER(CHollowCylinderModel *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CLamellarFFHGModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CLamellarFFHGModel.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CLamellarFFHGModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -187,5 +187,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -372,7 +372,4 @@
 static PyObject * calculate_ER(CLamellarFFHGModel *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CLamellarModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CLamellarModel.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CLamellarModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -182,5 +182,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -359,7 +359,4 @@
 static PyObject * calculate_ER(CLamellarModel *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CLamellarPCrystalModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CLamellarPCrystalModel.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CLamellarPCrystalModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -185,5 +185,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -368,7 +368,4 @@
 static PyObject * calculate_ER(CLamellarPCrystalModel *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CLamellarPSHGModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CLamellarPSHGModel.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CLamellarPSHGModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -193,5 +193,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -388,7 +388,4 @@
 static PyObject * calculate_ER(CLamellarPSHGModel *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CLamellarPSModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CLamellarPSModel.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CLamellarPSModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -188,5 +188,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -375,7 +375,4 @@
 static PyObject * calculate_ER(CLamellarPSModel *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CLogNormal.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CLogNormal.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CLogNormal.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -177,5 +177,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -346,7 +346,4 @@
 static PyObject * calculate_ER(CLogNormal *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CLorentzian.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CLorentzian.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CLorentzian.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -177,5 +177,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -346,7 +346,4 @@
 static PyObject * calculate_ER(CLorentzian *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CMultiShellModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CMultiShellModel.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CMultiShellModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -191,5 +191,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -382,7 +382,4 @@
 static PyObject * calculate_ER(CMultiShellModel *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/COnionModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/COnionModel.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/COnionModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -263,5 +263,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -582,7 +582,4 @@
 static PyObject * calculate_ER(COnionModel *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CParallelepipedModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CParallelepipedModel.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CParallelepipedModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -202,5 +202,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -409,7 +409,4 @@
 static PyObject * calculate_ER(CParallelepipedModel *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CPearlNecklaceModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CPearlNecklaceModel.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CPearlNecklaceModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -189,5 +189,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -378,7 +378,4 @@
 static PyObject * calculate_ER(CPearlNecklaceModel *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CPoly_GaussCoil.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CPoly_GaussCoil.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CPoly_GaussCoil.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -181,5 +181,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -356,7 +356,4 @@
 static PyObject * calculate_ER(CPoly_GaussCoil *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CRPAModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CRPAModel.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CRPAModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -206,5 +206,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -431,7 +431,4 @@
 static PyObject * calculate_ER(CRPAModel *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CReflAdvModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CReflAdvModel.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CReflAdvModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -248,5 +248,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -557,7 +557,4 @@
 static PyObject * calculate_ER(CReflAdvModel *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CReflModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CReflModel.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CReflModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -224,5 +224,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -485,7 +485,4 @@
 static PyObject * calculate_ER(CReflModel *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CSCCrystalModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CSCCrystalModel.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CSCCrystalModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -196,5 +196,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -395,7 +395,4 @@
 static PyObject * calculate_ER(CSCCrystalModel *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CSLDCalFunc.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CSLDCalFunc.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CSLDCalFunc.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -183,5 +183,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -362,7 +362,4 @@
 static PyObject * calculate_ER(CSLDCalFunc *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CSchulz.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CSchulz.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CSchulz.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -177,5 +177,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -346,7 +346,4 @@
 static PyObject * calculate_ER(CSchulz *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CSphereModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CSphereModel.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CSphereModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -182,5 +182,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -359,7 +359,4 @@
 static PyObject * calculate_ER(CSphereModel *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CSphereSLDModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CSphereSLDModel.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CSphereSLDModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -240,5 +240,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -531,7 +531,4 @@
 static PyObject * calculate_ER(CSphereSLDModel *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CSquareWellStructure.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CSquareWellStructure.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CSquareWellStructure.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -181,5 +181,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -356,7 +356,4 @@
 static PyObject * calculate_ER(CSquareWellStructure *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CStackedDisksModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CStackedDisksModel.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CStackedDisksModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -201,5 +201,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -408,7 +408,4 @@
 static PyObject * calculate_ER(CStackedDisksModel *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CStickyHSStructure.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CStickyHSStructure.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CStickyHSStructure.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -181,5 +181,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -356,7 +356,4 @@
 static PyObject * calculate_ER(CStickyHSStructure *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CTriaxialEllipsoidModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CTriaxialEllipsoidModel.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CTriaxialEllipsoidModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -202,5 +202,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -409,7 +409,4 @@
 static PyObject * calculate_ER(CTriaxialEllipsoidModel *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/CVesicleModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CVesicleModel.cpp	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/CVesicleModel.cpp	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -186,5 +186,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -369,7 +369,4 @@
 static PyObject * calculate_ER(CVesicleModel *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
Index: sansmodels/src/sans/models/c_models/classTemplate.txt
===================================================================
--- sansmodels/src/sans/models/c_models/classTemplate.txt	(revision b1c329583252a790cb87cdc57a1ff238b357d5ba)
+++ sansmodels/src/sans/models/c_models/classTemplate.txt	(revision 00c2141056cce2db51900ac2f769d2308d5a2f46)
@@ -167,5 +167,5 @@
  {
     PyArrayObject *result;
-    int i,j, x_len, y_len, dims[1];
+    int i, x_len, y_len, dims[1];
     //check validity of input vectors
     if (x->nd != 1 || x->descr->type_num != PyArray_DOUBLE
@@ -322,7 +322,4 @@
 static PyObject * calculate_ER([PYTHONCLASS] *self) {
 
-	PyObject* pars;
-	int npars;
-	
 	// Get parameters
 	
